# Create Payouts

## Post a payout data to the accounting software

<mark style="color:green;">`POST`</mark> `https://<PayEngine-host>/api/merchant/:merchantId/accounting/payouts`

Request

#### Request Body

| Name                                                     | Type      | Description                                                                                    |
| -------------------------------------------------------- | --------- | ---------------------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark>                     | string    | The unique identifier assigned to the payments object (for reconcilation and trouble shooting) |
| payouts<mark style="color:red;">\*</mark>                | array     | The collection of the payouts object                                                           |
| payouts.payout\_amount<mark style="color:red;">\*</mark> | float     | The payment amount of the payout reason                                                        |
| transaction\_date<mark style="color:red;">\*</mark>      | timestamp | The date time representing the time of the payment (in GMT)                                    |
| payouts.name<mark style="color:red;">\*</mark>           | string    | The payout reason                                                                              |
| payouts.id<mark style="color:red;">\*</mark>             | string    | The unique identifier for the payout reason                                                    |

{% tabs %}
{% tab title="200 " %}
{% tabs %}
{% tab title="Field Definitions" %}

<table><thead><tr><th width="194">Field Name</th><th width="120">Type</th><th width="215">Description</th><th>Required?</th></tr></thead><tbody><tr><td>transaction_reference</td><td>string</td><td>Transaction Reference number</td><td>Required</td></tr><tr><td>status</td><td>string</td><td>Allowed values - processed</td><td>Required</td></tr></tbody></table>
{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Sample Request Body" %}

```json
{
  "id": 3858154,
  "transaction_date": "2022-06-30T20:24:02",
  "payouts": [
    {
      "id": "23423432"
      "name": "Cash",
      "payout_amount": "112.50"
    }
  ]
}
```

{% endtab %}

{% tab title="Sample Response Body " %}

```json
{ 
    "transaction_reference": "guid",
    "order_number": "3858154"
    "status" : "processed"

}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payengine.co/payengine-api-v2.5/accounting/create-payment-link-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
